SETNETBOOTINFO(8)

NAME
setnetbootinfo - configure Alpha network bootstrap program

SYNOPSIS
/usr/mdec/setnetbootinfo [-vf] [-o outfile] [ -a ether-address | -h ether-host] infile
/usr/mdec/setnetbootinfo [-v] -u -o outfile infile

DESCRIPTION
The setnetbootinfo utility configures the NetBSD/alpha network bootstrap program so that it can be used to bootstrap systems with old firmware revisions.

The NetBSD/alpha network bootstrap program needs to have the ethernet address of the interface being used to boot the system available when querying other hosts on the network for bootstrapping information. Alpha systems with old firmware revisions provide no way for network bootstrap programs to determine the ethernet address of the interface that they are booting from, and so the NetBSD/alpha network bootstrap program must find that information in another way. (Newer firmware revisions include the ethernet address in the name of the device that is being booted from.) The setnetbootinfo utility encodes an ethernet address (and other information) directly into the network bootstrap program.

The options recognized by setnetbootinfo are as follows:

-a ether-address
    Encode the given ethernet address into the network bootstrap program. (This option and the -h option are mutually exclusive.)

-f  Force the address information being encoded in the bootstrap program to be used regardless of whether or not the bootstrap program can get address information from the booting system's firmware.

-h ether-host
    Encode the ethernet address of the specified host into the network bootstrap program. The host's name is translated to an ethernet address using the ether_hostton(3) function. (This option and the -a option are mutually exclusive.)

-o outfile
    Output the resulting bootstrap program into the file named by outfile, replacing it if it already exists. If the -o flag is not specified, the output file name will be the name of the input bootstrap program concatenated with a period and the digits of the ethernet address being encoded. For instance, if the input file is named /usr/mdec/netboot and is being configured to encode the ethernet address 08:00:2b:bd:5d:fd, then the default output file name would be /usr/mdec/netboot.08002bbd5dfd. It is safe to set the output file name to be the same as the input file name; the input file is read in its entirety before the output file is modified.

-u  Remove configuration information from the specified network bootstrap program. If this option is used, an output file name must be specified with the -o option, and neither the -a or the -h options may be specified.

-v  Verbose mode.

FILES
/usr/mdec/netboot
    network bootstrap program

SEE ALSO
boot(8), bootpd(8)

HISTORY
The NetBSD/alpha setnetbootinfo command first appeared in NetBSD 1.3.

AUTHORS
The setnetbootinfo utility was written by Chris Demetriou.